<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="xiaoqu.home.open.mapper.db2.OperationMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="xiaoqu.home.open.model.db2.Operation">
        <id column="id" property="id" />
        <result column="create_id" property="createId" />
        <result column="create_name" property="createName" />
        <result column="create_time" property="createTime" />
        <result column="modify_id" property="modifyId" />
        <result column="modify_name" property="modifyName" />
        <result column="modify_time" property="modifyTime" />
        <result column="soft_delete" property="softDelete" />
        <result column="object_name" property="objectName" />
        <result column="object_id" property="objectId" />
        <result column="status" property="status" />
        <result column="sort" property="sort" />
        <result column="source_type" property="sourceType" />
        <result column="district_id" property="districtId" />
        <result column="property_id" property="propertyId" />
        <result column="agent_id" property="agentId" />
        <result column="district_name" property="districtName" />
        <result column="property_name" property="propertyName" />
        <result column="agent_name" property="agentName" />
        <result column="manager_level" property="managerLevel" />
        <result column="name" property="name" />
        <result column="standard" property="standard" />
        <result column="tool_ids" property="toolIds" />
        <result column="tool_names" property="toolNames" />
        <result column="method" property="method" />
        <result column="memo" property="memo" />
        <result column="plan_id" property="planId" />
        <result column="object_parent_id" property="objectParentId" />
        <result column="object_parent_name" property="objectParentName" />
        <result column="type" property="type" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, create_id, create_name, create_time, modify_id, modify_name, modify_time, soft_delete, object_name, object_id, status, sort, source_type, district_id, property_id, agent_id, district_name, property_name, agent_name, manager_level, name, standard, tool_ids, tool_names, method, memo, plan_id, object_parent_id, object_parent_name, type
    </sql>

</mapper>
